#ifndef TrlGui_included
#define TrlGui_included

#include <qwidget.h>
#include <qradiobutton.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qstring.h>
#include <qbuttongroup.h>
#include <qlineedit.h>
#include <qmenubar.h>
#include <qsplitter.h>
#include <qmultilinedit.h>
#include <qscrollbar.h>
#include <qlayout.h>
#include <qfiledialog.h>
#include <qmessagebox.h>
#include <qlayout.h>
#include <String.h>
#include "Diction.h"
#include "DWord.h"
#include "SVector.h"

typedef enum { em_exact, em_near, em_list} searchtype;

class TrlGui: public QWidget
{
  Q_OBJECT
  public:
    TrlGui(QWidget *parent, const char *name);
    ~TrlGui();
    void setResult(char *);
    void setNear(char*);
    
  public slots:
    void queryWord();
    void translate(const char*);
    void changeSearchType(const char*);
    void changeLanguage(int);
    void quitSelected();
    void openDE();
    void openED();
    void helpSelected();
    void aboutSelected();

  signals:
    void quit_trl();

  private:
    QVBoxLayout *layer;
    QHBoxLayout *hlay1;
    QHBoxLayout *hlay2;
    QSplitter *split;
    QMenuBar *bar;
    QPopupMenu *file;
    QPopupMenu *help;
    QButtonGroup *language;
    QRadioButton *german;
    QRadioButton *english;
    QComboBox *type;
    QComboBox *last;
    QLineEdit *query;
    QMultiLineEdit *edit;
    QMultiLineEdit *near;
    Diction *germanTOenglish;
    Diction *englishTOgerman;
    Diction *active_dictionary;
    searchtype lsearchtype;
};

#endif
